Subject: bug#29522: [bug#29555] [PATCH] gnu: rust: update rust to 1.22.1 and cargo to 1.23.0

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 4 Dec 2017 17:05:11 +0100

Hi,

On Mon, 04 Dec 2017 19:54:13 +0500
Nikolai Merinov <[email-masked]> wrote:

> I added "-lstdc++" to rust standard lib to overcome issue. Which solution is better: 
> 1. change link flags for rust standard library, or

Sounds hacky and I'm not sure why it helps or whether it will keep working.

> 2. create rust-specific jemalloc as suggested in #29522?

I vote for using a rust-specific jemalloc without the C++ parts (named "jemalloc-without-c++" or something, it just has to pass a flag to "configure").  It's smaller, too.  Any downsides?